﻿/* Move down content because we have a fixed navbar that is 50px tall */
body {
    padding-top: 50px;
    /*padding-bottom: 15rem;*/
}

div.IP-WarnWrapper {
    width: 100%;
    height: auto;
    
    z-index: -1;
    top: 100px;
    border: 1px solid green;
    visibility: hidden;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
}


div.IP-WarnBox {
    position: fixed;
    /*width: 100%;*/
    max-width: 350px;
    height: auto;
    right: -380px;
    top: 50px;
    visibility: hidden;
    margin-left: 2rem;
    margin-right: 1rem;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    gap: 1rem;
    justify-content: center;
    background-color: var(--IP_SESSION_BG);
    border: var(--IP_SESSION_BORDER);
    padding: 2rem;
    align-items: center;
}


    div.IP-WarnBox.Active {
        visibility: visible;
        z-index: 1000000;
        right: 10px;
        transition: right 1.5s linear;
    }

        div.IP-WarnBox.Active.Urgent {
            background-color: var(--IP_SESSION_BG_URGENT);
            border: var(--IP_SESSION_BORDER_URGENT);
            transition: background-color 2.5s linear;
            padding: 1.7rem;
        }

div.IP-Session-Timer-Label {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
    font-size: var(--IP_L);
    font-weight:bold;
    padding-bottom: 0.5rem;

}

div.IP-Session-Timer-Label.Urgent {
    font-size: var(--IP_XL);
    font-weight: bold;
    
    color: red;
}


.IP_Refresh_Img {
    border: transparent;
    background: transparent;
    position: fixed;
    height: 1px;
    top: 0px;
    left: 0px;
    width: 1px;
    z-index: 0;
    visibility: hidden;
}


ip_AG_section{
    width:100%;

}

ip_MeineJobangebote_section {
    width: 100%;
    padding-top: 3rem;
}

ip_MeineBookmarks_section {
    width: 100%;
    padding-top: 3rem;
}

/* Wrapping element */
/* Set some basic padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Set widths on the form inputs since otherwise they're 100% wide */
input,
select,
textarea {
    max-width: 280px;
}

/* Responsive: Portrait tablets and up */
@media screen and (min-width: 769px) {
    .jumbotron {
        margin-top: 20px;
    }
    .body-content {
        padding: 0;
    }
}

.IP-Navbar-Bottom {
    position: fixed;
    bottom: 0px;
    background-color: #ffffff9c;
    width: 100%;
    padding-left:5px;
    z-index:11;
}

div.IP-Flag-Box {
    display: inline-flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: flex-start;
    align-items: center;
    gap: calc(0.5rem * var(--T_ZOOM));
    margin-left: 0;
}

@media (min-width: 769px) {
    div.IP-Flag-Box {
        margin-left: 2rem;
    }
}

.IP-Flag {
    height: calc(16px * var(--T_ZOOM));    
    background-color: var(--IP_Gray);
    padding: 1px;
}

.IP-MainLogo {
    height: 16px;
    background-color: none;
    padding: 1px;
}

div.IP_MAIN_CONTENT {
    min-height: 80vh;
    margin-bottom: 3rem;
}

div.IP_FOOTER_CONTENT {
    padding-top: 1rem;
    padding-bottom: 8rem;
    background-color: var(--IP_Control_Black);
    color: var(--IP_White);
    font-size: var(--IP_XS);
}



div.IP_FOOTER_BOX {
    width: 100%;
    padding-right: 10px;
    padding-left: 10px;
    margin-right: auto;
    margin-left: auto;
    display: flex;
    justify-content: center;
    column-gap: 2rem;
    align-content: flex-start;
    flex-wrap: wrap;
    align-items: flex-start;
}

div.IP_FOOTER_BOX_BOX {
    width: calc(50% - 1rem);
}

@media (min-width: 426px) {
    div.IP_MAIN_CONTENT {
        margin-bottom: 8rem;
    }

    div.IP_FOOTER_CONTENT {
        padding-top: 1.5rem;
        font-size: var(--IP_S);
    }

    div.IP_FOOTER_BOX {
        width: calc(100% - 3rem);
        column-gap: 4rem;
    }

    div.IP_FOOTER_BOX_BOX {
        width: calc(50% - 2rem);
        max-width: 30rem;
    }
}


@media (min-width: 1600px) {
    div.IP_MAIN_CONTENT {
        margin-bottom: 10rem;
    }

    div.IP_FOOTER_CONTENT {
        padding-top: 2rem;
        font-size: var(--IP_N);
    }


    div.IP_FOOTER_BOX {
        width: calc(100% - 30rem);
        column-gap: 8rem;
    }

    div.IP_FOOTER_BOX_BOX {
        width: calc(50% - 4rem);
        max-width: 35rem;
    }
}
